pragma Singleton
import QtQuick

QtObject {
    id: root

    property FontLoader iconFont: FontLoader {
        source: "/fonts/QtOneIconFont.ttf"
    }

    property QtObject icons: QtObject {
        readonly property string home: "\u0021"
        readonly property string link: "\u0022"
        readonly property string qrCode: "\u0023"
        readonly property string settings: "\u0024"
        readonly property string unlink: "\u0025"
    }

    readonly property int smTextSize: 12
    readonly property int mdTextSize: 14
    readonly property int lgTextSize: 20
    readonly property int xlTextSize: 30

    readonly property int iconSize: 18

    readonly property color statusBarDisconnected: "#eb991f"
    readonly property color statusBarConnected: "#23b26a"

    readonly property int statusBarHeight: 24
    readonly property int tabBarHeight: 69

    readonly property bool dark: Application.styleHints.colorScheme === Qt.Dark

    readonly property color boxBackgroundColor: root.dark ? "#262626" : "#f2f2f2"
    readonly property color boxBorderColor: root.dark ? "#2e2e2e" : "#e7e7e7"
}
