// Copyright (C) 2024 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only WITH Qt-GPL-exception-1.0

#pragma once

#include <QJsonObject>

class Settings
{
public:
    Settings();

    void setAutoScaleProject(const bool &enabled);
    void setDeviceUuid(const QString &deviceUuid);
    void setKeepScreenOn(const bool &enabled);

    bool autoScaleProject() const;
    QString deviceUuid() const;
    bool keepScreenOn() const;

private:
    QJsonObject m_settings;
    const QString m_settingsPath;

    bool loadSettings();
    bool saveSettings();
    void applyDefaultSettings();
};
