#!/bin/bash

# first argument is the path to the output.junit.xml file
if [ $# -ne 1 ]; then
    echo "Usage: $0 <path_to_output.junit.xml>"
    exit 1
fi

UNIT_TEST_RESULT_FILE=$1

# check if the file exists
if [ ! -f "${UNIT_TEST_RESULT_FILE}" ]; then
    echo "File ${UNIT_TEST_RESULT_FILE} not found!"
    exit 1
fi

# check if the file is empty
if [ ! -s "${UNIT_TEST_RESULT_FILE}" ]; then
    echo "File ${UNIT_TEST_RESULT_FILE} is empty!"
    exit 1
fi

RETVAL=$(grep -c "<failure" ${UNIT_TEST_RESULT_FILE})

if [ ${RETVAL} -ne 0 ]; then
    echo "Test failed!"
    exit 1
fi
