// Copyright (C) 2024 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only WITH Qt-GPL-exception-1.0

#include "tst_settings.h"

#include <QTest>

#include "backend/settings.h"

void TestSettings::testAutoScaleProject()
{
    Settings settings;
    QVERIFY(settings.autoScaleProject());

    settings.setAutoScaleProject(false);
    QVERIFY(!settings.autoScaleProject());
}

void TestSettings::testDeviceUuid()
{
    Settings settings;
    QVERIFY(settings.deviceUuid().isEmpty());

    settings.setDeviceUuid("1234567890");
    QCOMPARE(settings.deviceUuid(), QString("1234567890"));
}
